#!/bin/bash

source devel.bash

for d in packages ; do
    echo "Running $d/CASCADE-MAKE.sh"

    (cd $d ; ./CASCADE-MAKE.sh $*)

    if [ $? != 0 ] ; then
        echo "Error encountered running $d/CASCADE-MAKE.sh"
        exit 1
    fi
done

# makedist: makes a temporary subdirectory, also called xpdf-tools, puts just the stuff we want in there
# and then runs the CASCADE-MAKE command to make a distribution (tar.gz) out of our whitelist temporary folder
# then get rid of that temporary xpdf-tools folder.
if [ $makedist = "1" ] ; then
    mkdir -p xpdf-tools
    cp $GSDLOS/bin/pdf* xpdf-tools/.
    # See xpdftools' README: licencing files and manpage need to be redistributed with xpdf-tools binaries
    cp -r $GSDLOS/man xpdf-tools/.
    cp redistribute/* xpdf-tools/.
    toplevel_make_dist $GSDLOS xpdf-tools
    rm -rf xpdf-tools
fi
